<?PHP
/**
 * @In the name of God!
 * @author: Iman Moodi (Iman92)
 * @email: info@apadanacms.ir
 * @link: http://www.apadanacms.ir
 * @license: http://www.gnu.org/licenses/
 * @copyright: Copyright © 2012-2018 ApadanaCMS.ir. All rights reserved.
 * @Apadana CMS is a Free Software
 */


defined('security') or exit('Direct Access to this location is not allowed.');

function module_tpublicity_info()
{
	return array(
		'name' => 'tpublicity',
		'version' => '1.0',
		'creationDate' => '2016-11-9 22:22:22',
		'description' => 'ماژول  تبلیغات متنی پیشرفته ',
		'author' => 'Mehran Imani',
		'authorEmail' => 'info@imitran.ir',
		'authorUrl' => 'http://www.imitran.ir',
		'license' => 'GNU/GPL',
	);
}
function module_tpublicity_install()
{
	global $d;
	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->query("SET SQL_MODE=\"NO_AUTO_VALUE_ON_ZERO\"");
	$d->query("CREATE TABLE IF NOT EXISTS `#__tpublicity` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8_persian_ci NOT NULL,
  `text` text COLLATE utf8_persian_ci NOT NULL,
  `link` varchar(255) COLLATE utf8_persian_ci NOT NULL,
  `style` int(1) NOT NULL,
  `target` varchar(10) COLLATE utf8_persian_ci NOT NULL,
  `color` varchar(100) COLLATE utf8_persian_ci NOT NULL,
  `position` int(2) NOT NULL,
  `time` int(10) NOT NULL,
  `approve` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_persian_ci AUTO_INCREMENT=1 ;");

	$d->insert('tpublicity',array(
	'id'=>1,
	'title'=>' تبلیغات متنی پیشرفته',
	'text'=>'ماژول  تبلیغات متنی پیشرفته ',
	'link'=>'www.imitran.ir',
	'style'=>3,
	'target'=>'_top',
	'color'=>'aaaaaa',
	'position'=>1,
	'time'=>'2147483647',
	'approve'=>1
	));
	$d->insert('modules', array(
		'module_name' => 'tpublicity',
		'module_version' => '1.0',
		'module_status' => 0,
	));
	echo message('ماژول  تبلیغات متنی پیشرفته با موفقیت نصب شد.', 'success');
}
function module_tpublicity_uninstall()
{
	global $d;
	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->query("DROP TABLE `#__tpublicity`");
	$d->delete('modules', "module_name='tpublicity'", 1);
	$d->delete('admin', "admin_rights='tpublicity'", 1);
	echo message('ماژول  تبلیغات متنی پیشرفته با موفقیت حذف شد', 'success');
	remove_cache('module-tpublicity', true);
}
function module_tpublicity_active()
{
	global $d;

	member::check_admin_page_access('modules') or exit('Warning access!');
	$d->update('modules', array('module_status'=>1), "module_name='tpublicity'", 1);

	$d->insert('admin', array(
		'admin_rights' => 'tpublicity',
		'admin_image' => 'modules/tpublicity/images/tpublicity.png',
		'admin_title' => ' تبلیغات متنی پیشرفته',
		'admin_link' => '?admin={admin}&amp;module=tpublicity',
		'admin_page' => 2,
	));
	echo message('ماژول  تبلیغات متنی پیشرفته فعال شد.', 'success');
}
function module_tpublicity_inactive()
{
	global $d;
	$d->update('modules', array('module_status'=>0), "module_name='tpublicity'", 1);
	echo message('ماژول  تبلیغات متنی پیشرفته غیر فعال شد.', 'success');
}

function module_tpublicity_admin()
{
	member::check_admin_page_access('tpublicity') or warning('عدم دسترسی!', 'شما دسترسی لازم برای مشاهده این بخش را ندارید!');
	require_once(root_dir.'modules/tpublicity/functions.admin.php');
	$_GET['do'] = get_param($_GET, 'do');
switch($_GET['do'])
{
	case 'list':
	_list();
	break;

	case 'new':
	_new();
	break;
	
	case 'edit':
	_edit();
	break;
	
	case 'delete':
	_delete();
	break;
	
	case 'show':
	_show();
	break;
	
	default:
	_index();
	break;
}
}
?>
